Package com.google.android.exoplayer2.audio

## Class AudioProcessor.AudioFormat

- java.lang.Object
- - com.google.android.exoplayer2.audio.AudioProcessor.AudioFormat

- Enclosing interface:
    AudioProcessor

      public static final class AudioProcessor.AudioFormat
      extends Object

  PCM audio format that may be handled by an audio processor.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `bytesPerFrame` | The number of bytes used to represent one audio frame.
    `int` | `channelCount` | The number of interleaved channels.
    `@com.google.android.exoplayer2.C.PcmEncoding int` | `encoding` | The type of linear PCM encoding.
    `static AudioProcessor.AudioFormat` | `NOT_SET` |
    `int` | `sampleRate` | The sample rate in Hertz.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AudioFormat​(int sampleRate, int channelCount, @com.google.android.exoplayer2.C.PcmEncoding int encoding)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NOT_SET

          public static final AudioProcessor.AudioFormat NOT_SET

    - #### sampleRate

          public final int sampleRate

      The sample rate in Hertz.

    - #### channelCount

          public final int channelCount

      The number of interleaved channels.

    - #### encoding

          public final @com.google.android.exoplayer2.C.PcmEncoding int encoding

      The type of linear PCM encoding.

    - #### bytesPerFrame

          public final int bytesPerFrame

      The number of bytes used to represent one audio frame.

  - ### Constructor Detail

    - #### AudioFormat

          public AudioFormat​(int sampleRate,
                             int channelCount,
                             @com.google.android.exoplayer2.C.PcmEncoding int encoding)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(@Nullable
                                Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`